( cd usr/lib64 ; rm -rf libgdm.so )
( cd usr/lib64 ; ln -sf libgdm.so.1.0.0 libgdm.so )
( cd usr/lib64 ; rm -rf libgdmsimplegreeter.so )
( cd usr/lib64 ; ln -sf libgdmsimplegreeter.so.1.0.0 libgdmsimplegreeter.so )
( cd usr/lib64 ; rm -rf libgdm.so.1 )
( cd usr/lib64 ; ln -sf libgdm.so.1.0.0 libgdm.so.1 )
( cd usr/lib64 ; rm -rf libgdmsimplegreeter.so.1 )
( cd usr/lib64 ; ln -sf libgdmsimplegreeter.so.1.0.0 libgdmsimplegreeter.so.1 )
( cd etc/X11/xinit ; rm -rf xinitrc )
( cd etc/X11/xinit ; ln -sf xinitrc.gnome xinitrc )

## insertroleaccount accountname [uid] [gid]
##   This routine will create a role account on the system with the uid (and
##   optional gid) specified.  It will check to make sure that the id names
##   are not duplicated but relies on useradd and groupadd to emit errors if
##   the numeric ids would be non-unique.  Although they are optional, it is
##   recommended that the uid and gid fields be specified since Slackware
##   makes an assumption that role accounts will have ids below 100, and left
##   unspecified useradd will pick a uid above 1000.
##
insertroleaccount ()
{
  local rolename=$1 uid=$2 gid=${3:-$2}
  local tmp exists

  while read ; do
    tmp=`echo $REPLY | cut -d: -f1`
    if [ "$tmp" = "$rolename" ]; then
      exists='y'
      break
    fi
  done < $ROOT/etc/group

  if [ "$exists" != 'y' ]; then
    groupadd ${gid:+-g $gid} $rolename
    exists='n'
  fi

  while read ; do
    tmp=`echo $REPLY | cut -d: -f1`
    if [ "$tmp" = "$rolename" ]; then
      exists='y'
      break
    fi
  done < $ROOT/etc/passwd

  if [ "$exists" != 'y' ]; then
    chroot /$ROOT /usr/sbin/useradd ${uid:+-u $uid} $rolename -g $rolename -s /bin/false -d / -c "$rolename role account"
  fi
}

insertroleaccount gdm 42 42

if grep -Fxq "gdm:x:42:42:GDM Daemon Owner:/var/lib/gdm:/bin/false" /etc/passwd
then
        echo "User is already up to date"
else
        echo "Updating User Account"
usermod -c "GDM Daemon Owner" -d /var/lib/gdm -u 42 \
        -g gdm -s /bin/false gdm
fi

usermod -a -G audio gdm &&
usermod -a -G video gdm


if [ ! -d /$ROOT/var/lib/gdm ]; then
        mkdir -p /$ROOT/var/lib/gdm
fi

usr/bin/chroot /$ROOT chown -R gdm:gdm /var/lib/gdm /var/cache/gdm /var/log/gdm
usr/bin/chroot /$ROOT chmod 0755 /var/lib/gdm /var/cache/gdm /var/log/gdm

usr/bin/chroot /$ROOT /usr/bin/dconf update

usr/bin/chroot /$ROOT chown -R root:gdm /var/run/gdm
usr/bin/chroot /$ROOT chmod 1777 /var/run/gdm
if [ -x usr/bin/gconftool-2 -a -x usr/bin/chroot ]; then
  GCONF_CONFIG_SOURCE=`usr/bin/chroot /$ROOT /usr/bin/gconftool-2 --get-default-source`
fi
if [ -x usr/bin/update-desktop-database -a -x usr/bin/chroot ]; then
  usr/bin/chroot /$ROOT /usr/bin/update-desktop-database &> /dev/null
fi
if [ -x usr/bin/gtk-update-icon-cache -a -x usr/bin/chroot ]; then
  usr/bin/chroot /$ROOT /usr/bin/gtk-update-icon-cache -f -t -q /usr/share/icons/hicolor &> /dev/null
fi
chroot . /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas/ 1> /dev/null 2> /dev/null
